## org.eclipse.emf.cdo.transaction
Interface CDOUserTransaction

All Known Subinterfaces:
  CDOTransaction, CDOXATransaction, InternalCDOTransaction, InternalCDOXATransaction

    public interface CDOUserTransaction

Only deal with transaction process.

Since:
  2.0

Method Summary
`void` `commit()`
`void` `commit(IProgressMonitor progressMonitor)`
`CDOSavepoint` `getLastSavepoint()`
`void` `rollback()`
`void` `rollback(CDOSavepoint savepoint)`
`CDOSavepoint` `setSavepoint()` Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction Save points do not involve the server side, everything is done on the client side.

Method Detail

### commit

    void commit()
                throws org.eclipse.net4j.util.transaction.TransactionException

  Throws:
    `org.eclipse.net4j.util.transaction.TransactionException`

### commit

    void commit(IProgressMonitor progressMonitor)
                throws org.eclipse.net4j.util.transaction.TransactionException

  Throws:
    `org.eclipse.net4j.util.transaction.TransactionException`

### rollback

    void rollback()

### rollback

    void rollback(CDOSavepoint savepoint)

### setSavepoint

    CDOSavepoint setSavepoint()

  Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction

  Save points do not involve the server side, everything is done on the client side.

### getLastSavepoint

    CDOSavepoint getLastSavepoint()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.